GDCM: gdcm::PixmapReader Class Reference

GDCM 3.2.5

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
gdcm::PixmapReader Class Reference

PixmapReader. More...

`#include <gdcmPixmapReader.h>`

Inheritance diagram for gdcm::PixmapReader:
[legend]
Collaboration diagram for gdcm::PixmapReader:
[legend]

## Public Member Functions
| PixmapReader ()
| ~PixmapReader () override
Pixmap & | GetPixmap ()
const Pixmap & | GetPixmap () const
| Return the read image (need to call Read() first).
bool | Read () override
Public Member Functions inherited from gdcm::Reader
| Reader ()
virtual | ~Reader ()
bool | CanRead () const
File & | GetFile ()
| Set/Get File.
const File & | GetFile () const
| Set/Get File.
size_t | GetStreamCurrentPosition () const
bool | ReadSelectedPrivateTags (std::set< PrivateTag > const &ptags, bool readvalues=true)
| Will only read the specified selected private tags.
bool | ReadSelectedTags (std::set< Tag > const &tags, bool readvalues=true)
| Will only read the specified selected tags.
bool | ReadUpToTag (const Tag &tag, std::set< Tag > const &skiptags=std::set< Tag >())
void | SetFile (File &file)
| Set/Get File.
void | SetFileName (const char *filename_native)
void | SetStream (std::istream &input_stream)
| Set the open-ed stream directly.

## Protected Member Functions
virtual bool | ReadACRNEMAImage ()
virtual bool | ReadImage (MediaStorage const &ms)
bool | ReadImageInternal (MediaStorage const &ms, bool handlepixeldata=true)
Protected Member Functions inherited from gdcm::Reader
std::istream * | GetStreamPtr () const
bool | ReadDataSet ()
bool | ReadMetaInformation ()
bool | ReadPreamble ()

## Protected Attributes
SmartPointer< Pixmap > | PixelData
Protected Attributes inherited from gdcm::Reader
SmartPointer< File > | F

## Detailed Description

PixmapReader.

Note
  its role is to convert the DICOM DataSet into a Pixmap representation By default it is also loading the lookup table and overlay when found as they impact the rendering or the image

See PS 3.3-2008, Table C.7-11b IMAGE PIXEL MACRO ATTRIBUTES for the list of attribute that belong to what gdcm calls a 'Pixmap'

Warning
  the API ReadUpToTag and ReadSelectedTag

See also
  Pixmap

Examples
  StandardizeFiles.cs.

## Constructor & Destructor Documentation

## ◆ PixmapReader()

gdcm::PixmapReader::PixmapReader | ( |  | ) |

## ◆ ~PixmapReader()

gdcm::PixmapReader::~PixmapReader | ( |  | ) |
| override

## Member Function Documentation

## ◆ GetPixmap() [1/2]

Pixmap & gdcm::PixmapReader::GetPixmap | ( |  | ) |

## ◆ GetPixmap() [2/2]

const Pixmap & gdcm::PixmapReader::GetPixmap | ( |  | ) | const

Return the read image (need to call Read() first).

Examples
  StandardizeFiles.cs.

## ◆ Read()

bool gdcm::PixmapReader::Read | ( |  | ) |
| overridevirtual

Read the DICOM image. There are two reason for failure:

1. The input filename is not DICOM
2. The input DICOM file does not contains an Pixmap.

Reimplemented from gdcm::Reader.

Examples
  StandardizeFiles.cs.

## ◆ ReadACRNEMAImage()

virtual bool gdcm::PixmapReader::ReadACRNEMAImage | ( |  | ) |
| protectedvirtual

Reimplemented in gdcm::ImageReader.

## ◆ ReadImage()

virtual bool gdcm::PixmapReader::ReadImage | ( | MediaStorage const & | ms | ) |
| protectedvirtual

Reimplemented in gdcm::ImageReader.

## ◆ ReadImageInternal()

bool gdcm::PixmapReader::ReadImageInternal | ( | MediaStorage const & | ms,
|  | bool | handlepixeldata = true )
| protected

## Member Data Documentation

## ◆ PixelData

SmartPointer<Pixmap> gdcm::PixmapReader::PixelData
| protected

The documentation for this class was generated from the following file:

- gdcmPixmapReader.h